Bug 1619431 - [v2v] Network Missing in Infra Mapping
Summary: [v2v] Network Missing in Infra Mapping
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.9.4
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.9.5
Assignee: Bronagh Sorota
QA Contact: Ilanit Stein
URL:
Whiteboard:
: 1619131 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-08-20 20:15 UTC by Kedar Kulkarni
Modified: 2018-11-05 13:58 UTC (History)
13 users (show)

Fixed In Version: 5.9.5.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-05 13:58:28 UTC
Category: ---
Cloudforms Team: RHEVM
istein: needinfo+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3466 None None None 2018-11-05 13:58:57 UTC

Comment 3 Kedar Kulkarni 2018-09-25 15:25:11 UTC
https://github.com/ManageIQ/manageiq-v2v/issues/666

Comment 5 Adam Grare 2018-09-26 12:38:48 UTC
This was caused by RHV targeted refresh deleting inventory not associated to the target, specifically targeting a host would delete Lans from other hosts which is what caused the network to be missing from the network mapping.

Any targeted refresh of a RHV host would do this so it is almost guaranteed to happen within a few hours.

In addition to clearing networks a targeted refresh would create duplicate clusters, storages, host_networks, and host_storages which would then be deleted by the next full refresh.

Comment 6 Adam Grare 2018-09-26 12:44:20 UTC
*** Bug 1619131 has been marked as a duplicate of this bug. ***

Comment 9 Kedar Kulkarni 2018-09-28 18:34:32 UTC
On 5.9.5.0 the Networks/Datastores/Clusters do not go missing in Infra-mappings.

Comment 10 Sudhir Mallamprabhakara 2018-09-28 20:17:11 UTC
Moving this back to on_qa and assigning this to RHV QE Team.

- Sudhir

Comment 11 Ilanit Stein 2018-10-02 09:04:14 UTC
Thanks Sudhir for passing it to RHV.

Tested on CFME-5.9.4.7, and indeed sew these issues, that follow host target refresh:
- Lans deleted (on all hosts, and not just the targeted one).
- An extra cluster was created
- Data stores were duplicated

Verified on CFME-5.9.5:
All the above issues indeed do not happen, after host target refresh.

Comment 13 errata-xmlrpc 2018-11-05 13:58:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:3466


Note You need to log in before you can comment on or make changes to this bug.